/*     */ package org.apache.batik.util.gui;
/*     */ 
/*     */ import java.awt.BorderLayout;
/*     */ import java.awt.Component;
/*     */ import java.awt.FlowLayout;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Enumeration;
/*     */ import java.util.HashMap;
/*     */ import java.util.Iterator;
/*     */ import java.util.List;
/*     */ import java.util.Locale;
/*     */ import java.util.Map;
/*     */ import java.util.ResourceBundle;
/*     */ import java.util.StringTokenizer;
/*     */ import javax.swing.AbstractAction;
/*     */ import javax.swing.Action;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.DefaultListModel;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JList;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.event.ListDataEvent;
/*     */ import javax.swing.event.ListDataListener;
/*     */ import javax.swing.event.ListSelectionEvent;
/*     */ import javax.swing.event.ListSelectionListener;
/*     */ import org.apache.batik.util.gui.resource.ActionMap;
/*     */ import org.apache.batik.util.gui.resource.ButtonFactory;
/*     */ import org.apache.batik.util.gui.resource.MissingListenerException;
/*     */ import org.apache.batik.util.resources.ResourceManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSMediaPanel
/*     */   extends JPanel
/*     */   implements ActionMap
/*     */ {
/*     */   protected static final String RESOURCES = "org.apache.batik.util.gui.resources.CSSMediaPanel";
/*  86 */   protected static ResourceBundle bundle = ResourceBundle.getBundle("org.apache.batik.util.gui.resources.CSSMediaPanel", Locale.getDefault());
/*  87 */   protected static ResourceManager resources = new ResourceManager(bundle);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JButton removeButton;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JButton addButton;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected JButton clearButton;
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 108 */   protected DefaultListModel listModel = new DefaultListModel();
/*     */ 
/*     */   
/*     */   protected JList mediaList;
/*     */ 
/*     */   
/*     */   protected Map listeners;
/*     */ 
/*     */ 
/*     */   
/*     */   public CSSMediaPanel() {
/* 119 */     super(new GridBagLayout());
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 277 */     this.listeners = new HashMap(); this.listeners.put("AddButtonAction", new AddButtonAction(this)); this.listeners.put("RemoveButtonAction", new RemoveButtonAction(this)); this.listeners.put("ClearButtonAction", new ClearButtonAction(this)); setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(), resources.getString("Panel.title"))); ExtendedGridBagConstraints constraints = new ExtendedGridBagConstraints(); constraints.insets = new Insets(5, 5, 5, 5); this.mediaList = new JList(); this.mediaList.setSelectionMode(0); this.mediaList.setModel(this.listModel); this.mediaList.addListSelectionListener(new MediaListSelectionListener(this)); this.listModel.addListDataListener(new MediaListDataListener(this)); JScrollPane scrollPane = new JScrollPane(); scrollPane.setBorder(BorderFactory.createLoweredBevelBorder()); constraints.weightx = 1.0D; constraints.weighty = 1.0D; constraints.fill = 1; constraints.setGridBounds(0, 0, 1, 3); scrollPane.getViewport().add(this.mediaList); add(scrollPane, constraints); ButtonFactory bf = new ButtonFactory(bundle, this); constraints.weightx = 0.0D; constraints.weighty = 0.0D; constraints.fill = 2; constraints.anchor = 11; this.addButton = bf.createJButton("AddButton"); constraints.setGridBounds(1, 0, 1, 1); add(this.addButton, constraints); this.removeButton = bf.createJButton("RemoveButton"); constraints.setGridBounds(1, 1, 1, 1); add(this.removeButton, constraints); this.clearButton = bf.createJButton("ClearButton"); constraints.setGridBounds(1, 2, 1, 1); add(this.clearButton, constraints); updateButtons();
/*     */   }
/*     */   protected void updateButtons() { this.removeButton.setEnabled(!this.mediaList.isSelectionEmpty()); this.clearButton.setEnabled(!this.listModel.isEmpty()); }
/*     */   public void setMedia(List mediaList) { this.listModel.removeAllElements(); Iterator iter = mediaList.iterator(); while (iter.hasNext())
/*     */       this.listModel.addElement(iter.next());  }
/*     */   public void setMedia(String media) { this.listModel.removeAllElements(); StringTokenizer tokens = new StringTokenizer(media, " "); while (tokens.hasMoreTokens())
/*     */       this.listModel.addElement(tokens.nextToken());  } public List getMedia() { List media = new ArrayList(this.listModel.size()); Enumeration e = this.listModel.elements();
/*     */     while (e.hasMoreElements())
/*     */       media.add(e.nextElement()); 
/* 286 */     return media; } public Action getAction(String key) throws MissingListenerException { return (Action)this.listeners.get(key); }
/*     */   public String getMediaAsString() { StringBuffer buffer = new StringBuffer(); Enumeration e = this.listModel.elements(); while (e.hasMoreElements()) {
/*     */       buffer.append((String)e.nextElement()); buffer.append(' ');
/*     */     }  return buffer.toString(); } public static int showDialog(Component parent, String title) { return showDialog(parent, title, ""); } public static int showDialog(Component parent, String title, List mediaList) { Dialog dialog = new Dialog(parent, title, mediaList); dialog.setModal(true); dialog.pack(); dialog.setVisible(true); return dialog.getReturnCode(); } public static int showDialog(Component parent, String title, String media) { Dialog dialog = new Dialog(parent, title, media); dialog.setModal(true); dialog.pack(); dialog.setVisible(true);
/*     */     return dialog.getReturnCode(); } protected class AddButtonAction extends AbstractAction
/*     */   {
/* 292 */     private final CSSMediaPanel this$0; protected AddButtonAction(CSSMediaPanel this$0) { this.this$0 = this$0; }
/*     */     public void actionPerformed(ActionEvent e) {
/* 294 */       CSSMediaPanel.AddMediumDialog dialog = new CSSMediaPanel.AddMediumDialog(this.this$0);
/* 295 */       dialog.pack();
/* 296 */       dialog.setVisible(true);
/*     */       
/* 298 */       if (dialog.getReturnCode() == 1 || dialog.getMedium() == null) {
/*     */         return;
/*     */       }
/*     */ 
/*     */       
/* 303 */       String medium = dialog.getMedium().trim();
/* 304 */       if (medium.length() == 0 || this.this$0.listModel.contains(medium)) {
/*     */         return;
/*     */       }
/*     */       
/* 308 */       for (int i = 0; i < this.this$0.listModel.size() && medium != null; i++) {
/* 309 */         String s = (String)this.this$0.listModel.getElementAt(i);
/* 310 */         int c = medium.compareTo(s);
/* 311 */         if (c == 0) {
/* 312 */           medium = null;
/* 313 */         } else if (c < 0) {
/* 314 */           this.this$0.listModel.insertElementAt(medium, i);
/* 315 */           medium = null;
/*     */         } 
/*     */       } 
/* 318 */       if (medium != null)
/* 319 */         this.this$0.listModel.addElement(medium); 
/*     */     }
/*     */   }
/*     */   
/*     */   protected class RemoveButtonAction
/*     */     extends AbstractAction {
/*     */     private final CSSMediaPanel this$0;
/*     */     
/* 327 */     protected RemoveButtonAction(CSSMediaPanel this$0) { this.this$0 = this$0; }
/*     */     public void actionPerformed(ActionEvent e) {
/* 329 */       int index = this.this$0.mediaList.getSelectedIndex();
/* 330 */       this.this$0.mediaList.clearSelection();
/* 331 */       if (index >= 0)
/* 332 */         this.this$0.listModel.removeElementAt(index); 
/*     */     }
/*     */   }
/*     */   
/*     */   protected class ClearButtonAction
/*     */     extends AbstractAction {
/*     */     private final CSSMediaPanel this$0;
/*     */     
/* 340 */     protected ClearButtonAction(CSSMediaPanel this$0) { this.this$0 = this$0; }
/*     */     public void actionPerformed(ActionEvent e) {
/* 342 */       this.this$0.mediaList.clearSelection();
/* 343 */       this.this$0.listModel.removeAllElements();
/*     */     }
/*     */   }
/*     */   
/*     */   protected class MediaListSelectionListener implements ListSelectionListener {
/*     */     private final CSSMediaPanel this$0;
/*     */     
/* 350 */     protected MediaListSelectionListener(CSSMediaPanel this$0) { this.this$0 = this$0; }
/*     */ 
/*     */ 
/*     */     
/* 354 */     public void valueChanged(ListSelectionEvent e) { this.this$0.updateButtons(); }
/*     */   }
/*     */   
/*     */   protected class MediaListDataListener
/*     */     implements ListDataListener {
/*     */     private final CSSMediaPanel this$0;
/*     */     
/* 361 */     protected MediaListDataListener(CSSMediaPanel this$0) { this.this$0 = this$0; }
/*     */ 
/*     */     
/* 364 */     public void contentsChanged(ListDataEvent e) { this.this$0.updateButtons(); }
/*     */ 
/*     */ 
/*     */     
/* 368 */     public void intervalAdded(ListDataEvent e) { this.this$0.updateButtons(); }
/*     */ 
/*     */ 
/*     */     
/* 372 */     public void intervalRemoved(ListDataEvent e) { this.this$0.updateButtons(); }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class AddMediumDialog
/*     */     extends JDialog
/*     */     implements ActionMap
/*     */   {
/*     */     public static final int OK_OPTION = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public static final int CANCEL_OPTION = 1;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected JComboBox medium;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected int returnCode;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     protected Map listeners;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public AddMediumDialog(Component parent) {
/* 409 */       super(JOptionPane.getFrameForComponent(parent), CSSMediaPanel.resources.getString("AddMediumDialog.title"));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 469 */       this.listeners = new HashMap(); setModal(true); this.listeners.put("OKButtonAction", new OKButtonAction(this)); this.listeners.put("CancelButtonAction", new CancelButtonAction(this)); getContentPane().add(createContentPanel(), "Center"); getContentPane().add(createButtonsPanel(), "South");
/*     */     } public String getMedium() { return (String)this.medium.getSelectedItem(); } protected Component createContentPanel() { JPanel panel = new JPanel(new BorderLayout()); panel.setBorder(BorderFactory.createEmptyBorder(4, 4, 4, 4)); panel.add(new JLabel(CSSMediaPanel.resources.getString("AddMediumDialog.label")), "West"); this.medium = new JComboBox(); this.medium.setEditable(true); String media = CSSMediaPanel.resources.getString("Media.list"); StringTokenizer tokens = new StringTokenizer(media, " "); while (tokens.hasMoreTokens())
/*     */         this.medium.addItem(tokens.nextToken()); 
/*     */       panel.add(this.medium, "Center");
/*     */       return panel; } protected Component createButtonsPanel() { JPanel panel = new JPanel(new FlowLayout(2));
/*     */       ButtonFactory bf = new ButtonFactory(CSSMediaPanel.bundle, this);
/*     */       panel.add(bf.createJButton("OKButton"));
/*     */       panel.add(bf.createJButton("CancelButton"));
/*     */       return panel; } public int getReturnCode() { return this.returnCode; }
/* 478 */     public Action getAction(String key) throws MissingListenerException { return (Action)this.listeners.get(key); }
/*     */     
/*     */     protected class OKButtonAction
/*     */       extends AbstractAction {
/*     */       private final CSSMediaPanel.AddMediumDialog this$0;
/*     */       
/* 484 */       protected OKButtonAction(CSSMediaPanel.AddMediumDialog this$0) { this.this$0 = this$0; }
/*     */       public void actionPerformed(ActionEvent e) {
/* 486 */         this.this$0.returnCode = 0;
/* 487 */         this.this$0.dispose();
/*     */       }
/*     */     }
/*     */     
/*     */     protected class CancelButtonAction extends AbstractAction {
/*     */       private final CSSMediaPanel.AddMediumDialog this$0;
/*     */       
/* 494 */       protected CancelButtonAction(CSSMediaPanel.AddMediumDialog this$0) { this.this$0 = this$0; }
/*     */       public void actionPerformed(ActionEvent e) {
/* 496 */         this.this$0.returnCode = 1;
/* 497 */         this.this$0.dispose();
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static class Dialog
/*     */     extends JDialog
/*     */     implements ActionMap
/*     */   {
/*     */     public static final int OK_OPTION = 0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public static final int CANCEL_OPTION = 1;
/*     */ 
/*     */ 
/*     */     
/*     */     protected int returnCode;
/*     */ 
/*     */ 
/*     */     
/*     */     protected Map listeners;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 528 */     public Dialog() { this(null, "", ""); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public Dialog(Component parent, String title, List mediaList)
/*     */     {
/* 539 */       super(JOptionPane.getFrameForComponent(parent), title);
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 591 */       this.listeners = new HashMap(); this.listeners.put("OKButtonAction", new OKButtonAction(this)); this.listeners.put("CancelButtonAction", new CancelButtonAction(this)); CSSMediaPanel panel = new CSSMediaPanel(); panel.setMedia(mediaList); getContentPane().add(panel, "Center"); getContentPane().add(createButtonsPanel(), "South"); } public Dialog(Component parent, String title, String media) { super(JOptionPane.getFrameForComponent(parent), title); this.listeners = new HashMap(); this.listeners.put("OKButtonAction", new OKButtonAction(this)); this.listeners.put("CancelButtonAction", new CancelButtonAction(this));
/*     */       CSSMediaPanel panel = new CSSMediaPanel();
/*     */       panel.setMedia(media);
/*     */       getContentPane().add(panel, "Center");
/*     */       getContentPane().add(createButtonsPanel(), "South"); } public int getReturnCode() { return this.returnCode; } protected JPanel createButtonsPanel() { JPanel p = new JPanel(new FlowLayout(2));
/*     */       ButtonFactory bf = new ButtonFactory(CSSMediaPanel.bundle, this);
/*     */       p.add(bf.createJButton("OKButton"));
/*     */       p.add(bf.createJButton("CancelButton"));
/*     */       return p; }
/* 600 */     public Action getAction(String key) throws MissingListenerException { return (Action)this.listeners.get(key); }
/*     */     
/*     */     protected class OKButtonAction
/*     */       extends AbstractAction {
/*     */       private final CSSMediaPanel.Dialog this$0;
/*     */       
/* 606 */       protected OKButtonAction(CSSMediaPanel.Dialog this$0) { this.this$0 = this$0; }
/*     */       public void actionPerformed(ActionEvent e) {
/* 608 */         this.this$0.returnCode = 0;
/* 609 */         this.this$0.dispose();
/*     */       }
/*     */     }
/*     */     
/*     */     protected class CancelButtonAction extends AbstractAction {
/*     */       private final CSSMediaPanel.Dialog this$0;
/*     */       
/* 616 */       protected CancelButtonAction(CSSMediaPanel.Dialog this$0) { this.this$0 = this$0; }
/*     */       public void actionPerformed(ActionEvent e) {
/* 618 */         this.this$0.returnCode = 1;
/* 619 */         this.this$0.dispose();
/*     */       }
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public static void main(String[] args) {
/* 628 */     String media = "all aural braille embossed handheld print projection screen tty tv";
/* 629 */     int code = showDialog(null, "Test", media);
/* 630 */     System.out.println(code);
/* 631 */     System.exit(0);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-gui-util.jar!\org\apache\bati\\util\gui\CSSMediaPanel.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */