/*     */ package org.apache.batik.util.gui.xmleditor;
/*     */ 
/*     */ import java.awt.Font;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.text.DefaultEditorKit;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.Element;
/*     */ import javax.swing.text.View;
/*     */ import javax.swing.text.ViewFactory;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class XMLEditorKit
/*     */   extends DefaultEditorKit
/*     */ {
/*     */   public static final String XML_MIME_TYPE = "text/xml";
/*     */   protected XMLContext context;
/*     */   protected ViewFactory factory;
/*     */   
/*  45 */   public XMLEditorKit() { this(null); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public XMLEditorKit(XMLContext context) {
/*     */     this.factory = null;
/*  53 */     this.factory = new XMLViewFactory(this);
/*  54 */     if (context == null) {
/*  55 */       this.context = new XMLContext();
/*     */     } else {
/*  57 */       this.context = context;
/*     */     } 
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  65 */   public XMLContext getStylePreferences() { return this.context; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void install(JEditorPane c) {
/*  72 */     super.install(c);
/*     */     
/*  74 */     Object obj = this.context.getSyntaxFont("default");
/*  75 */     if (obj != null) {
/*  76 */       c.setFont((Font)obj);
/*     */     }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  87 */   public String getContentType() { return "text/xml"; }
/*     */ 
/*     */ 
/*     */   
/*     */   public Object clone() {
/*  92 */     XMLEditorKit kit = new XMLEditorKit();
/*  93 */     kit.context = this.context;
/*  94 */     return kit;
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*  99 */   public Document createDefaultDocument() { return new XMLDocument(this.context); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 105 */   public ViewFactory getViewFactory() { return this.factory; }
/*     */   
/*     */   protected class XMLViewFactory
/*     */     implements ViewFactory {
/*     */     private final XMLEditorKit this$0;
/*     */     
/* 111 */     protected XMLViewFactory(XMLEditorKit this$0) { this.this$0 = this$0; }
/*     */ 
/*     */     
/* 114 */     public View create(Element elem) { return new XMLView(this.this$0.context, elem); }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-gui-util.jar!\org\apache\bati\\util\gui\xmleditor\XMLEditorKit.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */