/*     */ package org.apache.batik.util.gui.xmleditor;
/*     */ 
/*     */ import java.awt.Color;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.event.UndoableEditEvent;
/*     */ import javax.swing.event.UndoableEditListener;
/*     */ import javax.swing.text.Element;
/*     */ import javax.swing.undo.CannotRedoException;
/*     */ import javax.swing.undo.CannotUndoException;
/*     */ import javax.swing.undo.UndoManager;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class XMLTextEditor
/*     */   extends JEditorPane
/*     */ {
/*     */   protected UndoManager undoManager;
/*     */   
/*     */   public XMLTextEditor() {
/*  52 */     XMLEditorKit kit = new XMLEditorKit();
/*  53 */     setEditorKitForContentType("text/xml", kit);
/*  54 */     setContentType("text/xml");
/*  55 */     setBackground(Color.white);
/*     */ 
/*     */ 
/*     */     
/*  59 */     this.undoManager = new UndoManager();
/*  60 */     UndoableEditListener undoableEditHandler = new UndoableEditListener(this)
/*     */       {
/*  62 */         public void undoableEditHappened(UndoableEditEvent e) { this.this$0.undoManager.addEdit(e.getEdit()); }
/*     */         private final XMLTextEditor this$0;
/*     */       };
/*  65 */     getDocument().addUndoableEditListener(undoableEditHandler);
/*     */   }
/*     */ 
/*     */ 
/*     */   
/*     */   public void setText(String t) {
/*  71 */     super.setText(t);
/*     */     
/*  73 */     this.undoManager.discardAllEdits();
/*     */   }
/*     */ 
/*     */   
/*     */   public void undo() {
/*     */     try {
/*  79 */       this.undoManager.undo();
/*  80 */     } catch (CannotUndoException ex) {}
/*     */   }
/*     */ 
/*     */   
/*     */   public void redo() {
/*     */     try {
/*  86 */       this.undoManager.redo();
/*  87 */     } catch (CannotRedoException ex) {}
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void gotoLine(int line) {
/*  96 */     Element element = getDocument().getDefaultRootElement().getElement(line);
/*     */     
/*  98 */     if (element == null)
/*  99 */       return;  int pos = element.getStartOffset();
/* 100 */     setCaretPosition(pos);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-gui-util.jar!\org\apache\bati\\util\gui\xmleditor\XMLTextEditor.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */